import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdDeliveryPlanStatistics{
    /**
    * 
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 请求次数
    * @type { number }
    */
    requestTimes?: number;
    /**
    * 展示次数
    * @type { number }
    */
    impressionTimes?: number;
    /**
    * 点击次数
    * @type { number }
    */
    clickTimes?: number;
    /**
    * 成交次数
    * @type { number }
    */
    actionTimes?: number;
}
export class AdDeliveryPlanStatisticsMI{ 
    static get AD_DELIVERY_PLAN_ID(): FieldInfo{  
        return new FieldInfo('adDeliveryPlanId','');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','广告id');
    }
    static get REQUEST_TIMES(): FieldInfo{  
        return new FieldInfo('requestTimes','请求次数');
    }
    static get IMPRESSION_TIMES(): FieldInfo{  
        return new FieldInfo('impressionTimes','展示次数');
    }
    static get CLICK_TIMES(): FieldInfo{  
        return new FieldInfo('clickTimes','点击次数');
    }
    static get ACTION_TIMES(): FieldInfo{  
        return new FieldInfo('actionTimes','成交次数');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdMaterial{
    /**
    * 素材id
    * @type { string }
    */
    id?: string;
    /**
    * 广告样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 素材名称
    * @type { string }
    */
    name?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 AdMaterialDetail 
    * @type { AdMaterialDetail[] }
    */
    adMaterialDetail?:AdMaterialDetail[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdMaterialMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','素材id');
    }
    static get AD_STYLE_ID(): FieldInfo{  
        return new FieldInfo('adStyleId','广告样式id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','素材名称');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdPosition{
    /**
    * 主键ID
    * @type { string }
    */
    id?: string;
    /**
    * 广告位名称
    * @type { string }
    */
    name?: string;
    /**
    * 广告位类型：0，banner
    * @type { number }
    */
    type?: number;
    /**
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建者
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 更新者
    * @type { string }
    */
    updator?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 子表 AdPositionStyle 
    * @type { AdPositionStyle[] }
    */
    adPositionStyle?:AdPositionStyle[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdPositionMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键ID');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','广告位名称');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','广告位类型：0，banner');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','创建者');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','更新者');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','描述');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdMaterialDetail{
    /**
    * 素材明细id
    * @type { string }
    */
    id?: string;
    /**
    * 素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 素材类型：0，图片；1，主标题；2，副标题
    * @type { number }
    */
    type?: number;
    /**
    * 素材内容
    * @type { string }
    */
    value?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
}
export class AdMaterialDetailMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','素材明细id');
    }
    static get AD_MATERIAL_ID(): FieldInfo{  
        return new FieldInfo('adMaterialId','素材id');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','素材类型：0，图片；1，主标题；2，副标题');
    }
    static get VALUE(): FieldInfo{  
        return new FieldInfo('value','素材内容');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdInfoMaterial{
    /**
    * 广告信息id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * extend field in AdMaterial
    * 素材id
    * @type { string }
    */
    id?: string;
    /**
    * extend field in AdMaterial
    * 广告样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * extend field in AdMaterial
    * 素材名称
    * @type { string }
    */
    name?: string;
    /**
    * extend field in AdMaterial
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * extend field in AdMaterial
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in AdMaterial
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * extend field in AdMaterial
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in AdMaterial
    * 
    * @type { string }
    */
    updator?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdInfoMaterialMI{ 
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','广告信息id');
    }
    static get AD_MATERIAL_ID(): FieldInfo{  
        return new FieldInfo('adMaterialId','素材id');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除：0，否；1，是');
    }
    static get ID(): FieldInfo{  
        return new FieldInfo('id','素材id');
    }
    static get AD_STYLE_ID(): FieldInfo{  
        return new FieldInfo('adStyleId','广告样式id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','素材名称');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdStyle{
    /**
    * 主键id
    * @type { string }
    */
    id?: string;
    /**
    * 宽度（单位像素）
    * @type { number }
    */
    width?: number;
    /**
    * 高度（单位像素）
    * @type { number }
    */
    height?: number;
    /**
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * 广告位类型：1，banner
    * @type { number }
    */
    adPositionType?: number;
    /**
    * 样式名称
    * @type { string }
    */
    name?: string;
    /**
    * 子表 AdStyleMaterialType 
    * @type { AdStyleMaterialType[] }
    */
    adStyleMaterialType?:AdStyleMaterialType[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdStyleMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键id');
    }
    static get WIDTH(): FieldInfo{  
        return new FieldInfo('width','宽度（单位像素）');
    }
    static get HEIGHT(): FieldInfo{  
        return new FieldInfo('height','高度（单位像素）');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
    static get AD_POSITION_TYPE(): FieldInfo{  
        return new FieldInfo('adPositionType','广告位类型：1，banner');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','样式名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdDeliveryPlanCityLot{
    /**
    * 广告投放计划id
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 城市id，特殊值0表示所有城市
    * @type { string }
    */
    cityId?: string;
    /**
    * 车场id，特殊值0，表示所有车场
    * @type { string }
    */
    lotId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
}
export class AdDeliveryPlanCityLotMI{ 
    static get AD_DELIVERY_PLAN_ID(): FieldInfo{  
        return new FieldInfo('adDeliveryPlanId','广告投放计划id');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','城市id，特殊值0表示所有城市');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场id，特殊值0，表示所有车场');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除：0，否；1，是');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdDeliveryPlanCityLotBlacklist{
    /**
    * 广告投放计划id
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 城市id，特殊值0表示所有城市
    * @type { string }
    */
    cityId?: string;
    /**
    * 车场id，特殊值0，表示所有车场
    * @type { string }
    */
    lotId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
}
export class AdDeliveryPlanCityLotBlacklistMI{ 
    static get AD_DELIVERY_PLAN_ID(): FieldInfo{  
        return new FieldInfo('adDeliveryPlanId','广告投放计划id');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','城市id，特殊值0表示所有城市');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场id，特殊值0，表示所有车场');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除：0，否；1，是');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdDeliveryPlanPerUserStatistics{
    /**
    * 
    * @type { number }
    */
    adDeliveryPlanId?: number;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 用户类型：0，速停车用户；1，非速停车用户
    * @type { number }
    */
    userType?: number;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 请求次数
    * @type { number }
    */
    requestTimes?: number;
    /**
    * 展示次数
    * @type { number }
    */
    impressionTimes?: number;
    /**
    * 点击次数
    * @type { number }
    */
    clickTimes?: number;
    /**
    * 成交次数
    * @type { number }
    */
    actionTimes?: number;
}
export class AdDeliveryPlanPerUserStatisticsMI{ 
    static get AD_DELIVERY_PLAN_ID(): FieldInfo{  
        return new FieldInfo('adDeliveryPlanId','');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户id');
    }
    static get USER_TYPE(): FieldInfo{  
        return new FieldInfo('userType','用户类型：0，速停车用户；1，非速停车用户');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','广告id');
    }
    static get REQUEST_TIMES(): FieldInfo{  
        return new FieldInfo('requestTimes','请求次数');
    }
    static get IMPRESSION_TIMES(): FieldInfo{  
        return new FieldInfo('impressionTimes','展示次数');
    }
    static get CLICK_TIMES(): FieldInfo{  
        return new FieldInfo('clickTimes','点击次数');
    }
    static get ACTION_TIMES(): FieldInfo{  
        return new FieldInfo('actionTimes','成交次数');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdThirdPartyUser{
    /**
    * 主键id
    * @type { number }
    */
    id?: number;
    /**
    * 用户名
    * @type { string }
    */
    username?: string;
    /**
    * 密钥偏移量
    * @type { string }
    */
    keyOffset?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 第三方用户名称
    * @type { string }
    */
    nickname?: string;
    /**
    * 密码
    * @type { string }
    */
    pwd?: string;
    /**
    * 代码：1，远山；2，百家
    * @type { number }
    */
    codeValue?: number;
    /**
    * 密钥
    * @type { string }
    */
    keyValue?: string;
    /**
    * 状态：0，启用；1，禁用；2，删除
    * @type { number }
    */
    userStatus?: number;
}
export class AdThirdPartyUserMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键id');
    }
    static get USERNAME(): FieldInfo{  
        return new FieldInfo('username','用户名');
    }
    static get KEY_OFFSET(): FieldInfo{  
        return new FieldInfo('keyOffset','密钥偏移量');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get NICKNAME(): FieldInfo{  
        return new FieldInfo('nickname','第三方用户名称');
    }
    static get PWD(): FieldInfo{  
        return new FieldInfo('pwd','密码');
    }
    static get CODE_VALUE(): FieldInfo{  
        return new FieldInfo('codeValue','代码：1，远山；2，百家');
    }
    static get KEY_VALUE(): FieldInfo{  
        return new FieldInfo('keyValue','密钥');
    }
    static get USER_STATUS(): FieldInfo{  
        return new FieldInfo('userStatus','状态：0，启用；1，禁用；2，删除');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdMaterialType{
    /**
    * 素材类型
    * @type { number }
    */
    code?: number;
    /**
    * 素材类型名称
    * @type { string }
    */
    name?: string;
    /**
    * 是否删除
    * @type { boolean }
    */
    delFlag?: boolean;
}
export class AdMaterialTypeMI{ 
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','素材类型');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','素材类型名称');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdPositionStyle{
    /**
    * 广告位置表id
    * @type { string }
    */
    adPositionId?: string;
    /**
    * 广告样式表id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * extend field in AdStyle
    * 主键id
    * @type { string }
    */
    id?: string;
    /**
    * extend field in AdStyle
    * 宽度（单位像素）
    * @type { number }
    */
    width?: number;
    /**
    * extend field in AdStyle
    * 高度（单位像素）
    * @type { number }
    */
    height?: number;
    /**
    * extend field in AdStyle
    * 状态：0，启用；1，删除
    * @type { number }
    */
    status?: number;
    /**
    * extend field in AdStyle
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in AdStyle
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * extend field in AdStyle
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in AdStyle
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * extend field in AdStyle
    * 广告位类型：1，banner
    * @type { number }
    */
    adPositionType?: number;
    /**
    * extend field in AdStyle
    * 样式名称
    * @type { string }
    */
    name?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdPositionStyleMI{ 
    static get AD_POSITION_ID(): FieldInfo{  
        return new FieldInfo('adPositionId','广告位置表id');
    }
    static get AD_STYLE_ID(): FieldInfo{  
        return new FieldInfo('adStyleId','广告样式表id');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除：0，否；1，是');
    }
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键id');
    }
    static get WIDTH(): FieldInfo{  
        return new FieldInfo('width','宽度（单位像素）');
    }
    static get HEIGHT(): FieldInfo{  
        return new FieldInfo('height','高度（单位像素）');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用；1，删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
    static get AD_POSITION_TYPE(): FieldInfo{  
        return new FieldInfo('adPositionType','广告位类型：1，banner');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','样式名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdInfo{
    /**
    * 广告id
    * @type { string }
    */
    id?: string;
    /**
    * 广告名称
    * @type { string }
    */
    name?: string;
    /**
    * 跳转链接
    * @type { string }
    */
    url?: string;
    /**
    * 广告来源：1，后台；2，KOS
    * @type { number }
    */
    source?: number;
    /**
    * 合作方：0，自营；1，远山
    * @type { number }
    */
    partner?: number;
    /**
    * 状态：0，上架；1，人工下架；2，到期下架
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * 广告描述
    * @type { string }
    */
    description?: string;
    /**
    * 子表 AdInfoMaterial 
    * @type { AdInfoMaterial[] }
    */
    adInfoMaterial?:AdInfoMaterial[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdInfoMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','广告id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','广告名称');
    }
    static get URL(): FieldInfo{  
        return new FieldInfo('url','跳转链接');
    }
    static get SOURCE(): FieldInfo{  
        return new FieldInfo('source','广告来源：1，后台；2，KOS');
    }
    static get PARTNER(): FieldInfo{  
        return new FieldInfo('partner','合作方：0，自营；1，远山');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，上架；1，人工下架；2，到期下架');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','广告描述');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdStyleMaterialType{
    /**
    * 
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 
    * @type { number }
    */
    adMaterialTypeCode?: number;
    /**
    * 是否删除
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * extend field in AdMaterialType
    * 素材类型
    * @type { number }
    */
    code?: number;
    /**
    * extend field in AdMaterialType
    * 素材类型名称
    * @type { string }
    */
    name?: string;
    /**
    * extend field in AdMaterialType
    * 是否删除
    * @type { boolean }
    */
    typeDelFlag?: boolean;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class AdStyleMaterialTypeMI{ 
    static get AD_STYLE_ID(): FieldInfo{  
        return new FieldInfo('adStyleId','');
    }
    static get AD_MATERIAL_TYPE_CODE(): FieldInfo{  
        return new FieldInfo('adMaterialTypeCode','');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','是否删除');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','素材类型');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','素材类型名称');
    }
    static get TYPE_DEL_FLAG(): FieldInfo{  
        return new FieldInfo('typeDelFlag','是否删除');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 18:30
 */
export interface AdDeliveryPlan{
    /**
    * 广告投递id
    * @type { number }
    */
    id?: number;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 收费类型：0，CPD；1，CPA；2，CPM
    * @type { number }
    */
    chargeType?: number;
    /**
    * 价格:CPD,投放时间段的展示收费价；CPM每千次展示的收费；CPA每次成交的收费
    * @type { number }
    */
    price?: number;
    /**
    * 投放起始时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 投放结束时间
    * @type { Date }
    */
    endTime?: Date;
    /**
    * 展示次数上限
    * @type { number }
    */
    displayTimes?: number;
    /**
    * 单用户展示次数上限
    * @type { number }
    */
    displayTimesPerUser?: number;
    /**
    * 状态：0，启用，1删除
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * 广告位id
    * @type { string }
    */
    adPositionId?: string;
    /**
    * 广告素材id
    * @type { string }
    */
    adMaterialId?: string;
    /**
    * 广告样式id
    * @type { string }
    */
    adStyleId?: string;
    /**
    * 合作方
    * @type { number }
    */
    partner?: number;
}
export class AdDeliveryPlanMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','广告投递id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','描述');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','广告id');
    }
    static get CHARGE_TYPE(): FieldInfo{  
        return new FieldInfo('chargeType','收费类型：0，CPD；1，CPA；2，CPM');
    }
    static get PRICE(): FieldInfo{  
        return new FieldInfo('price','价格:CPD,投放时间段的展示收费价；CPM每千次展示的收费；CPA每次成交的收费');
    }
    static get START_TIME(): FieldInfo{  
        return new FieldInfo('startTime','投放起始时间');
    }
    static get END_TIME(): FieldInfo{  
        return new FieldInfo('endTime','投放结束时间');
    }
    static get DISPLAY_TIMES(): FieldInfo{  
        return new FieldInfo('displayTimes','展示次数上限');
    }
    static get DISPLAY_TIMES_PER_USER(): FieldInfo{  
        return new FieldInfo('displayTimesPerUser','单用户展示次数上限');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态：0，启用，1删除');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
    static get AD_POSITION_ID(): FieldInfo{  
        return new FieldInfo('adPositionId','广告位id');
    }
    static get AD_MATERIAL_ID(): FieldInfo{  
        return new FieldInfo('adMaterialId','广告素材id');
    }
    static get AD_STYLE_ID(): FieldInfo{  
        return new FieldInfo('adStyleId','广告样式id');
    }
    static get PARTNER(): FieldInfo{  
        return new FieldInfo('partner','合作方');
    }
}


